local mod = ...



-- Fire -------------------------------------------------------------------------------------
mod:registerAsset({
    DataType = "PARTICLE_SYSTEM",
    Id = "PARTICLE_SYSTEM_DRAGON_FIRE",
    Material = "MATERIAL_FIRE_FIRE",
    BillboardBehavior = "FACE_CAMERA",
    Duration = 1.0,
    Looping = true,
    Delay = { 0, 0 },
    LifeTime = 3,
    StartSpeed = { 0.6, 0.7 },
    StartSize = { 6, 6 },
    StartRotation = { 0, 0 },
    StartColor = { 1, 1, 1, 1 },
    GravityModifier = 0.0,
    RateOverTime = 50,
    Shape = {
        DataType = "PARTICLE_EMITTER_SHAPE_CONE",
        Angle = 10,
        Radius = 5,
    },
    LinearVelocity = {
        DataType = "PARTICLE_FLOAT3_VALUE_CONSTANT_RANDOM",
        ValueA = { 0, 15.0, 0 },
        ValueB = { 0, 20.0, 0 }
    },
    ColorOverLifeTime = {
        DataType = "GRADIENT",
        ColorList = {
            { T = 0.0, Color = {0.6, 0.6, 0, 1} },
            { T = 0.1, Color = {0.4, 0.4, 0, 1} },
            { T = 0.5, Color = {0.4, 0.4, 0.4, 1} },
            { T = 1.0, Color = {0.1, 0.1, 0.1, 0.5} }
        },
        AlphaList = {
            { T = 0.1, Alpha = 60 },
            { T = 0.2, Alpha = 70 },
            { T = 0.3, Alpha = 80 },
            { T = 0.4, Alpha = 90 },
            { T = 0.5, Alpha = 100 },
            { T = 0.6, Alpha = 100 },
            { T = 0.7, Alpha = 100 },
            { T = 0.8, Alpha = 50 },
            { T = 0.9, Alpha = 25 },
            { T = 1.0, Alpha = 0 },
        },
    },
    SizeOverLifetime = {
            { T = 0.0, Value = 0.00 },
            { T = 0.1, Value = 0.25 },
            { T = 0.2, Value = 0.35 },
            { T = 0.3, Value = 0.45 },
            { T = 0.5, Value = 0.65 },
            { T = 0.7, Value = 0.85 },
            { T = 0.9, Value = 1.00 },
    },
    RotationOverLifetime = { -100, 100 },
})


